package com.fp.armas.portal.model;

import java.io.Serializable;
import java.util.Set;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;


/**
 * The persistent class for the TGENECATALOG database table.
 * 
 */
@Entity
public class Tgenecatalog implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String catalogcode;

	private String description;

	private Long recordversion;

	//bi-directional many-to-one association to Tgenecatalogdetail
	//@OneToMany(mappedBy="tgenecatalog")
	//private Set<Tgenecatalogdetail> tgenecatalogdetails;

	public Tgenecatalog() {
	}

	public String getCatalogcode() {
		return this.catalogcode;
	}

	public void setCatalogcode(String catalogcode) {
		this.catalogcode = catalogcode;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Long getRecordversion() {
		return this.recordversion;
	}

	public void setRecordversion(Long recordversion) {
		this.recordversion = recordversion;
	}
/**
	public Set<Tgenecatalogdetail> getTgenecatalogdetails() {
		return this.tgenecatalogdetails;
	}

	public void setTgenecatalogdetails(Set<Tgenecatalogdetail> tgenecatalogdetails) {
		this.tgenecatalogdetails = tgenecatalogdetails;
	}*/

	/**public Tgenecatalogdetail addTgenecatalogdetail(Tgenecatalogdetail tgenecatalogdetail) {
		getTgenecatalogdetails().add(tgenecatalogdetail);
		//tgenecatalogdetail.setTgenecatalog(this);
               

		return tgenecatalogdetail;
	}

	public Tgenecatalogdetail removeTgenecatalogdetail(Tgenecatalogdetail tgenecatalogdetail) {
		getTgenecatalogdetails().remove(tgenecatalogdetail);
		//tgenecatalogdetail.setTgenecatalog(null);

		return tgenecatalogdetail;
	}
*/
}